*{
  box-sizing: border-box;
  image-rendering: pixelated;
  cursor: url(/images/archive/halcalic-v2/default-cursor.png), auto;
}

a *, a{
  cursor: url(/images/archive/halcalic-v2/default-pointer.png), pointer;
}

:root{
 --offwhite: #f8f6f3;
 --brown: #755a4a;
 --brown2: #c9b0a0;
 --green: #8f9253;
 --blue: #97acb8;
 --yellow: #e2c586;
 --orange:#d4a178;
 --pink: #ce8e96;
}

:root{
  --outline-white:
  drop-shadow(-1px 0 0 var(--offwhite))
  drop-shadow(1px 0 0 var(--offwhite))
  drop-shadow(0 -1px 0 var(--offwhite))
  drop-shadow(0 1px 0 var(--offwhite));

  --outline-brown:
  drop-shadow(-1px 0 0 var(--brown2))
  drop-shadow(1px 0 0 var(--brown2))
  drop-shadow(0 -1px 0 var(--brown2))
  drop-shadow(0 1px 0 var(--brown2));
}

@font-face{
  font-family: kingthings_trypewriter_2;
  src: url(/stylesheets/fonts/KingthingsTrypewriter2.woff2);
}

@font-face{
  font-family: quicksand;
  src: url(/stylesheets/fonts/QuicksandBook-Regular.woff2);
}

@keyframes fade-in{
  0% {opacity: 0;}
  100% {opacity: 1;}
}

::-webkit-scrollbar{
  width: 4px;
  height: 4px;
}

::-webkit-scrollbar-track{
  background: transparent;
}
 
::-webkit-scrollbar-thumb{
  border-radius: 3px;
  border: 1px solid var(--offwhite);
  background: var(--brown2);
}

::-webkit-scrollbar-thumb:hover{
  background: #a58d7e; 
}

::selection{
  color: var(--blue);
  background: transparent;
}

body{
  background-image: url(/images/archive/halcalic-v2/main-bg.jpg);
  font-family: kingthings_trypewriter_2, sans-serif;
  box-shadow: inset 0 0 0 8px var(--offwhite), inset 0 0 8px 8px rgb(0, 0, 0, 0.25);
  outline: 10px solid var(--offwhite);
  outline-offset: -1px;
  border-radius: 13px;
  height: 100vh;
  color: var(--brown);
  margin: 0;
}

hr{
  margin: 6px;
  border: none;
  border-top: 1px dashed #ad988b;
}

a{
  text-decoration: 1px underline dotted var(--brown2); 
  color: var(--green);
  transition: all 0.2s;
}

a:hover{color: #c6c99d;}

u{text-decoration: 1px underline wavy var(--brown2);}
i{color: var(--pink);}
b{color: var(--blue);}

textarea{
  resize: none;
  background-color: var(--offwhite);
  color: var(--brown);
  border: 1px dashed var(--brown2);
  border-radius: 4px;
  padding: 3px;
  font-size: 10px;
}

/* border stuff */

.lace1{
  border-image: url(/images/archive/halcalic-v2/lace.png) 22 fill round;
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.5));
  border-width: 20px;
  border-style: solid;
}

.lace2{
  border-image: url(/images/archive/halcalic-v2/lace2.png) 19 fill round;
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.5));
  border-width: 5px;
  border-style: solid;
}

.plaid{
  height: 100%;
  width: 100%;
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
  border: 1px dashed var(--brown);
  border-radius: 4px;
  outline: 1px dotted var(--brown2);
  outline-offset: -3px;
  padding: 8px;
}

.outer{
  height: 100%;
  width: 100%;
  background-color: var(--offwhite);
  border: 1px solid var(--brown2);
  border-radius: 4px;
  padding: 4px;
}

.inner{
  height: 100%;
  width: 100%;
  background-color: var(--offwhite);
  border: 1px dashed var(--brown2);
  border-radius: 4px;
  padding: 10px;
  overflow-y: auto;
}

/* */

.heading{
  display: block;
  text-align: center;
  font-family: quicksand, sans-serif;
  font-weight: bold;
  font-size: 1.1em;
  letter-spacing: 1px;
  color: #ffffff;
  text-shadow: 1px 1px 0 #9b7d6e, -1px -1px 0 #503b2f, -1px  1px 0 #9b7d6e, 1px  -1px 0 #503b2f;
}

.decor{
  position: absolute;
  pointer-events: none;
}

.wrapper{
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  gap: 5px;
  animation: fade-in 0.5s ease-in;
}

.main{
  position: relative;
  display: flex;
  gap: 8px;
}

.content{
  display: flex;
  gap: 6px;
  height: 100%;
  text-align: justify;
  hyphens: auto;

  &::before{
    content: "";
    pointer-events: none;
    background-image: url(/images/archive/halcalic-v2/black-twill-r.png);
    position: absolute;
    z-index: 999;
    inset: 0;
    opacity: 0.07;
  }
}

.box1{
  width: 50%;
  font-size: 0.8em;
  line-height: 1.15;
}

.box2{
  width: 50%;
  font-size: 0.7em;
  line-height: 1.15;
  display: flex;
  flex-direction: column;
  gap: 6px;
}

.top, .bottom{
  height: 50%;
  overflow: hidden;
}

#main1{
  z-index: 2;
  width: 500px;
  height: 300px;

  .plaid{
    background-image: url(/images/archive/halcalic-v2/plaid2.jpg);
  }

  .bottom .inner{
    background-image: url(/images/archive/halcalic-v2/featured-art.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    transition: all 0.3s ease;
  }

  .bottom:hover .inner{
    background-size: 110%;
  }
}

#main2{
  z-index: 1;
  width: 500px;
  height: 300px;

  .plaid{
    background-image: url(/images/archive/halcalic-v2/plaid1.jpg);
  }

  #earworm{
    cursor: inherit;
    float: right;
    margin-left: 10px;
    width: 88px;
    border: 1px dotted var(--brown);
    border-radius: 3px;
    filter: sepia(0.8) hue-rotate(340deg) contrast(0.45) brightness(1.4);
    transition: all 0.3s ease;
  }

  #recently-read{
    cursor: inherit;
    float: left;
    margin-right: 10px;
    width: 63px;
    border: 1px dotted var(--brown);
    border-radius: 3px;
    filter: sepia(0.7) hue-rotate(340deg) contrast(0.45) brightness(1.4);
    transition: all 0.3s ease;
  }

  #earworm:hover, #recently-read:hover{
    transform: rotate(2deg);
    filter: sepia(0.2) hue-rotate(350deg);
  }
}

#main1 .box1{
  text-shadow: 1px 1px 0 var(--offwhite), -1px -1px 0 var(--offwhite), -1px  1px 0 var(--offwhite), 1px  -1px 0 var(--offwhite);

  .inner{
    background-image: url(/images/archive/halcalic-v2/inner-bg1.jpg);
    background-size: cover;
    transition: all 0.3s ease;
  }

  .inner:hover{
    background-image: url(/images/archive/halcalic-v2/inner-bg3.jpg);
  }

  p:nth-of-type(odd)::before{
    content: url(/images/archive/halcalic-v2/fl-flower1.png);
    margin-right: 8px;
    vertical-align: middle;
  }

  p:nth-of-type(even)::before{
    content: url(/images/archive/halcalic-v2/fl-flower2.png);
    margin-right: 8px;
    vertical-align: middle;
  }
}

#main2 .box1{
  text-shadow: 1px 1px 0 var(--offwhite), -1px -1px 0 var(--offwhite), -1px  1px 0 var(--offwhite), 1px  -1px 0 var(--offwhite);
    
  .inner{
    background-image: url(/images/archive/halcalic-v2/inner-bg4.jpg);
    background-size: cover;
    transition: all 0.3s ease;
  }

  .inner:hover{
    background-image: url(/images/archive/halcalic-v2/inner-bg2.jpg);
  }

  p:nth-of-type(odd)::before{
    content: url(/images/archive/halcalic-v2/fl-flower3.png);
    margin-right: 8px;
    vertical-align: middle;
  }

  p:nth-of-type(even)::before{
    content: url(/images/archive/halcalic-v2/fl-flower4.png);
    margin-right: 8px;
    vertical-align: middle;
  }
}

nav{
  position: absolute;
  z-index: 0;
  display: flex;
  flex-direction: column;
  gap: 20px;

  .inner{
    padding: 5px;
    font-family: quicksand, sans-serif;
    font-weight: bold;
    font-size: 0.9em;
    letter-spacing: 2px;
    text-align: center;
  }

  div{
    width: 140px;
    height: 40px;
    color: #ffffff;
    text-shadow: 1px 1px 0 #9b7d6e, -1px -1px 0 #503b2f, -1px  1px 0 #9b7d6e, 1px  -1px 0 #503b2f;
    transition: all 0.2s ease;
  }

  a{
    position: relative;
    text-decoration: none;
    transition: all 0.5s ease;
  }

  a:hover .nav-button{
    transform: rotate(360deg) scale(1.25);
  }
}

.nav-button{
  position: absolute;
  z-index: 999;
  width: 40px;
  filter: var(--outline-white) drop-shadow(0 0 1px rgba(0, 0, 0, 0.4));
  transition: all 1s ease;
}

#nav1{
  top: 40px;
  left: -19px;

  a:hover{
    transform: translateX(-95px);
  }

  .nav-button{
    left: -20px;
    top: 1px;
  }
}

#nav2{
  top: 40px;
  right: -19px;

  a:hover{
    transform: translateX(95px);
  }

  .nav-button{
    right: -20px;
    top: 1px;
  }
}

.sidebar{
  position: relative;
  top: 13px;
  z-index: 0;
  height: 275px;
  width: 200px;
  
  color: #5f473b;
  font-family: quicksand, sans-serif;
  font-weight: bold;
  font-size: 0.65em;
  letter-spacing: 1px;
  text-align: justify;
  hyphens: auto;

  .lace2{
    height: 100%;
    border-width: 15px;
  }

  .outer{
    border: 1px dashed var(--brown);
    outline: 1px dotted var(--brown2);
    outline-offset: -2px;
  }

  .inner{
    display: flex;
    flex-direction: column;
    gap: 3px;
    padding: 10px;

    &::before{
      content: "";
      pointer-events: none;
      background-image: url(/images/archive/halcalic-v2/black-twill-l.png);
      position: absolute;
      z-index: 1;
      inset: 0;
      opacity: 0.07;
    }
  }

  span{
    z-index: 2;
    background-color: rgba(255, 255, 255, 0.65);
    outline: 2px solid var(--offwhite);
    border: 1px dotted var(--brown2);
    border-radius: 3px;
    padding: 7px;
  }

  span > div{
    text-align: center;
  }

  img{
    max-width: 100%;
    border-radius: 3px;
    border: 1px dotted var(--brown);
    border-radius: 3px;
    transition: all 0.3s ease;
    filter: sepia(0.5) hue-rotate(340deg) contrast(0.45) brightness(1.4);
  }

  img:hover{
    transform: scale(1.05);
    filter: sepia(0.2) hue-rotate(350deg);
  }
}

#sidebar1{
  .inner{
    background-image: url(/images/archive/halcalic-v2/inner-bg5.jpg);
    background-size: cover;
  }
}

#sidebar2{
  .inner{
    background-image: url(/images/archive/halcalic-v2/inner-bg6.jpg);
    background-size: cover;
  }
}

footer{
  z-index: 0;
  position: absolute;
  left: 368px;
  bottom: -27px;
  font-size: 0.7em;
  text-align: center;
  transition: all 0.3s ease;

  .inner{
    padding: 15px 12px 6px 12px;
  }
}

footer:hover{
  bottom: -45px;
}

/* misc */

#guestbook{
  position: absolute;
  z-index: 4;
  right: 200px;
  bottom: -20px;
  filter: var(--outline-white) var(--outline-brown) drop-shadow(0 0 4px #ebb773);
  transition: all 0.3s ease;
}

#guestbook:hover{
  transform: rotate(-7deg);
}

#counter{
  z-index: 999;
  top: -26px;
  left: 330px;
  filter: var(--outline-white) drop-shadow(0 0 2px rgba(0, 0, 0, 0.5));
}

#halcalic{
  z-index: 999;
  top: -57px;
  left: -7px;
  filter: var(--outline-white) var(--outline-brown) drop-shadow(0 0 2px rgba(0, 0, 0, 0.3));
}

#mikako{
  z-index: 3;
  bottom: -55px;
  right: 213px;
}

#clovers{
  z-index: 2;
  top: 155px;
  left: 208px;
}

#flowers{
  z-index: 1;
  bottom: 17px;
  right: -3px;
}

.clip{
  z-index: -999;
  filter: var(--outline-white) drop-shadow(0 0 3px rgba(0, 0, 0, 0.3));
}

#clip1{top: -32px; right: -42px;}
#clip2{bottom: -32px; left: -42px;}